Post Product

Post Product
Adds a new product

This API returns, among other fields, the ID of the newly added product. Please note - This ID must be provided (as productId) for operations like accept certificates, retrieve notification messages or update/delete the product.

Request
URI
POST
https://umip/api/v1/product
COPY
Query Parameters
boolean
force
Optional

Force product creation by skipping conflict validations.


Request Body

Product details

{
    "host": "string",
    "port": 0,
    "user": "string",
    "password": "string",
    "productType": "string",
    "vcfManaged": false,
    "vcfEdition": "string",
    "externalSSO": false,
    "extSSOhost": "string",
    "extSSOport": 0,
    "srmMetered": false,
    "k8sMetric": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
202

Product addition successful

{
    "host": "string",
    "port": 0,
    "user": "string",
    "active": false,
    "metered": false,
    "id": 0,
    "lastChanged": 0,
    "status": {
        "code": "string",
        "lastChanged": 0,
        "text": "string"
    },
    "productType": "string",
    "externalSSO": false,
    "extSSOhost": "string",
    "extSSOport": 0,
    "srmMetered": false,
    "k8sMetric": "string",
    "vsanEnabled": false,
    "vsanClusterCount": 0,
    "vsanVersions": {},
    "instanceUUID": "string",
    "version": "string",
    "fullName": "string",
    "vcfEdition": "string",
    "tanzuEdition": "string"
}

400

Invalid object provided in request payload

Returns 400ManagedProductAddRequest of type(s) application/json
{
    "errCode": "GW_BAD_REQ_BODY",
    "errMessage": "Unable to add product of type 'VRS-VRA' which is automatically registered as part of vRSLCM auto-discovery"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

409

Conflict - Object already exists

Returns 409Conflict of type(s) application/json
{
    "errCode": "ERR_PM_HOST_NAME_CONFLICT",
    "errMessage": "Unable to add my.vc.server:443 that host is already metered for vCenter."
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


502

For example, invalid request data or the product is already added

Returns Error of type(s) application/json
{
    "errCode": "string",
    "errMessage": "string"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v1/product